### Method

# Shumate VectorReaderIter read_layer

unstable since: 1.2

#### Declaration [src]

    void
    shumate_vector_reader_iter_read_layer (
      ShumateVectorReaderIter* self,
      int index
    )

#### Description [src]

Sets the current layer of the reader to the layer at the given index.

Available since: 1.2

#### Parameters

`index`

  Type: `int`

  The index of the layer to read.